Core - Task # 56177

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Epic # 55064 (Accepted): WP: Workspaces test cases / DataHandler bugfixes

Status: Resolved Priority: Must have

Author: Mathias Brodala Category: Unit/Functional Tests
Created: 2014-02-21 Assigned To: Oliver Hader
Updated: 2014-02-25 Due date:

TYPOS3 Version: 6.2

PHP Version: 5.3

Complexity: no-brainer

Sprint Focus:

Subject: Windows issues with long CSV file name from commit 2db3d30

Description

The commit 2db3d30 added the following file:
typo3/sysext/workspaces/Tests/Functional/DataHandling/InlineRelationalRecordEditing/CommaSeparatedValue/DataSet/Assertio
/createAndLocalizeParentContentRecordWithHotelAndOfferChildRecordsAndDiscardlocalizedParentRecord.csv

It seems like this file path is too long for either Windows or Git on Windows. If you pull/merge this commit, the file cannot be created, if

you do a clean clone, this file is deleted immediately and cannot be restored.

Suggestion: use a shorter file name.

Related issues:
related to Core - Task # 56072: Extend DataHandler IRRE functional tests Resolved 2014-02-18
related to Core - Task # 56143: Integrate IRRE CSV Functional Tests Resolved 2014-02-20

Associated revisions

Revision 77e287f7 - 2014-02-24 15:45 - Oliver Hader

[TASK] Windows issues with long file names in Git sources

The recent DataHander functional tests integrate file names that
are very long since they contain a description of what actually
is expected in the accordant test assertion file.

However, Windows has a limit of 260 characters per file path.
The longest file path of the mentioned functional tests has been
223 characters and is now reduced to 166 characters.

Resolves: #56177

Releases: 6.2

Change-Id: 11490a3f0fae7ef40547d81e304cb98077ab6142b
Reviewed-on: https://review.typo3.0rg/27815

Reviewed-by: Marc Bastian Heinrichs
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader
History

#1 - 2014-02-21 14:01 - Eric Chavaillaz

Windows allows something like this on NTFS partition :

C:\<256 character length><NULL>

The file in question is long of 223 characters.

So if you got something like C:\Users\Your Name\Documents\Git\typo3_src-git\typo3..., the length will be 223 + 45 (Users\Your
Name\Documents\Git\typo3_src-git\) = 268 characters.

It's too long. You can move the location of your Git repository in local to solve quickly the problem.

But | agree that this file is too long!

#2 - 2014-02-21 20:50 - Philipp Gampe
- Status changed from New to Accepted

More information on windows path limitations: http://msdn.microsoft.com/en-us/library/aa365247(VS.85).aspx

The nineties strike back! Yeah.

One would assume that modern operating systems and shells as well as GUIs support more than byte long path pointers, but well ... we need to fix
this.

#3 - 2014-02-21 21:03 - Philipp Gampe

- Category changed from Default to Unit/Functional Tests
- Assigned To set to Oliver Hader

- Target version set to 6.2.0

#4 - 2014-02-22 21:01 - Marc Bastian Heinrichs

commit cac662a2d8 has already too long file paths.

#5 - 2014-02-24 09:41 - Nicole Cordes

With commit 092b8d0 the files are introduced!

#6 - 2014-02-24 15:20 - Oliver Hader

- Tracker changed from Bug to Task

#7 - 2014-02-24 15:24 - Oliver Hader
- File modify.sh added

#8 - 2014-02-24 15:25 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27815

#9 - 2014-02-24 15:27 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27815

#10 - 2014-02-24 16:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:77e287f71e8a248c14f55a5ae5601a4bc2205ca4.

#11 - 2014-02-24 16:40 - Oliver Hader
- Parent task set to #55064
- PHP Version set to 5.3

#12 - 2014-02-25 14:10 - alex pablate

Use long path tool for such problems.

Files
modify.sh 1.3kB 2014-02-24 Oliver Hader
